Subject: Re: bug#29377: date/time of "ls -lh" translation is wrong for Simplified Chinese

From: Peng Wu <[email-masked]>
Date: Wed, 29 Nov 2017 14:23:57 +0800

How about we remove all space characters in date/time?

I mean to display date/time like "11月21日 11:22" or "11月21日11:22".

On Fri, Nov 24, 2017 at 3:31 PM, Yasuaki Taniguchi/谷口康明 <[email-masked]>
wrote:

> Hello.
>
> As for Japanese, I want to append "日", but I can't do it because of
> the compatibility.
>
> ls and some other programs in coreutils must work in the
> terminal with 80 columns and 24 rows.
>
> The original English message may be "Nov 21 11:22", the number of
> columns is 12. And
> translated Japanese messages is "`11月 21 11:22", the number of columns
> is 13 (月 is full-width
> character and it spends 2 columns).
> If we append 日 after the number of the day, the number of columns will
> be 15. That is too long.
>
> Displaying date and time is very complex issue.
>
>
>
>
> 2017-11-24 14:03 GMT+09:00 Peng Wu <[email-masked]>:
> > Thanks, I see.
> >
> > On Tue, Nov 21, 2017 at 6:06 PM, Eric Blake <[email-masked]> wrote:
> >>
> >> tag 29377 notabug
> >> thanks
> >>
> >> On 11/20/2017 11:55 PM, Peng Wu wrote:
> >> > Hi,
> >> >
> >> > Currently the output of "ls -lh" for Simplified Chinese misses the "日"
> >> > character for the date.
> >> >
> >> > It displays date as "11月 21", but in Simplified Chinese it should
> >> > display
> >> > "11月 21日".
> >> >
> >> > Maybe it also happens with Traditional Chinese and Japanese.
> >> >
> >> > After checked with gnome desktop translation, I wrote one patch.
> >> > URL:
> >> >
> >> > https://l10n.gnome.org/POT/gnome-desktop.master/gnome-
> desktop.master.zh_CN.po
> >>
> >> Thanks for the report and the patch.  The translations for coreutils are
> >> maintained by the translation project, and not upstream coreutils
> >> proper; so I'm closing this bug in the coreutils database (once the
> >> translation project includes your patch, coreutils will automatically
> >> pick it up on the next release).  Meanwhile, your patch should be sent
> >> to the Language-Team: mentioned in zh_CN.po (which I've cc'd) (see also
> >> the X-Bugs: tag in that file, as well as the translation of the "Report
> >> bugs to:" string that appears in localized 'date --help').
> >>
> >> >
> >> > In the attachment, the patch add the "日" character.
> >> >
> >> > Thanks,
> >> >   Peng Wu
> >> >
> >>
> >> --
> >> Eric Blake, Principal Software Engineer
> >> Red Hat, Inc.           +1-919-301-3266
> >> Virtualization:  qemu.org | libvirt.org
> >>
> >
>
>
>
> --
> Yasuaki Taniguchi (谷口康明)
>   [email-masked]
>